<?php
/**
 * foodylite Theme Customizer: Options
 *
 * @package foodylite
 */

function foodylite_customizer_options( $wp_customize ) {
    /*--------------------------------------------------------------
        # Panels
    --------------------------------------------------------------*/
    // START HERE
    $wp_customize->add_panel( 'foodylite_start_here_panel', array(
        'title' => __('Start Here (PanKogut)', 'foodylite'),
        'description' => __('Set your container width, colors and Google Analytics.', 'foodylite'),
        'priority' => 10,
    ) );

    // BACKGROUND
    $wp_customize->add_panel( 'foodylite_background_panel', array(
        'title' => __('Background (PanKogut)', 'foodylite'),
        'description' => __('Background Color and Image.', 'foodylite'),
        'priority' => 20,
    ) );

    // HEADER
    $wp_customize->add_panel( 'foodylite_header_panel', array(
        'title' => __('Header (PanKogut)', 'foodylite'),
        'description' => __('You can customize the header style.', 'foodylite'),
        'priority' => 40,
    ) );

    // FOOTER
    $wp_customize->add_panel( 'foodylite_footer_panel', array(
        'title' => __('Footer (PanKogut)', 'foodylite'),
        'description' => __('You can customize the Footer.', 'foodylite'),
        'priority' => 80,
    ) );

    /*--------------------------------------------------------------
        # Sections
    --------------------------------------------------------------*/
    // START HERE
    // Colors
    $wp_customize->add_section( 'foodylite_start_here_colors' , array(
        'title' => __( 'Colors', 'foodylite' ),
        'description' => __('Change the colors of your website.', 'foodylite'),
        'priority' => 20,
        'panel' => 'foodylite_start_here_panel',
    ) );

    // BACKGROUND
    // Background Color
    $wp_customize->add_section( 'colors' , array(
        'title' => __('Background Color', 'foodylite'),
        'priority'  => 10,
        'panel' => 'foodylite_background_panel',
    ));

    // Background Image (Rename)
    $wp_customize->add_section( 'background_image' , array(
        'title' => __('Background Image', 'foodylite'),
        'priority'  => 20,
        'panel' => 'foodylite_background_panel',
    ));

    // Container Color
    $wp_customize->add_section( 'foodylite_background_container' , array(
        'title' => __( 'Container Color', 'foodylite' ),
        'priority'  => 30,
        'panel' => 'foodylite_background_panel',
    ) );

    // HEADER
    // Move Site Identity to Header Panel
    $wp_customize->add_section( 'title_tagline' , array(
        'title'     => __('Site Identity', 'foodylite'),
        'priority'  => 10,
        'panel' => 'foodylite_header_panel',
    ));
    
    // Move Header Image to Header Panel
    $wp_customize->add_section( 'header_image' , array(
        'title'     => __('Header Image', 'foodylite'),
        'priority'  => 20,
        'panel' => 'foodylite_header_panel',
    ));

    // Menu
    $wp_customize->add_section( 'foodylite_header_menu_colors' , array(
        'title' => __( 'Menu Colors', 'foodylite' ),
        'priority' => 20,
        'panel' => 'foodylite_header_panel',
    ) );

    // FOOTER: Colors
    $wp_customize->add_section( 'foodylite_footer_colors' , array(
        'title' => __( 'Colors', 'foodylite' ),
        'priority' => 10,
        'panel' => 'foodylite_footer_panel',
    ) );

    /*--------------------------------------------------------------
        # Options
    --------------------------------------------------------------*/
    // START HERE: COLORS
    // Primary Color
    $wp_customize->add_setting( 'foodylite_start_here_primary_color', array(
        'default' => '#303030',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_start_here_primary_color', array(
        'label' => __( 'Primary Color', 'foodylite' ),
        'priority' => 10,
        'section' => 'foodylite_start_here_colors',
        'settings' => 'foodylite_start_here_primary_color',
    ) ) );

    // Secondary Color
    $wp_customize->add_setting( 'foodylite_start_here_secondary_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_start_here_secondary_color', array(
        'label' => __( 'Secondary Color', 'foodylite' ),
        'priority' => 20,
        'section' => 'foodylite_start_here_colors',
        'settings' => 'foodylite_start_here_secondary_color',
    ) ) );

    // Accent Color
    $wp_customize->add_setting( 'foodylite_start_here_accent_color', array(
        'default' => '#abcee2',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_start_here_accent_color', array(
        'label' => __( 'Accent Color', 'foodylite' ),
        'priority' => 30,
        'section' => 'foodylite_start_here_colors',
        'settings' => 'foodylite_start_here_accent_color',
    ) ) );

    // BACKGROUND
    // Container Color
    $wp_customize->add_setting( 'foodylite_background_container_color', array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_background_container_color', array(
        'label' => __( 'Container Color', 'foodylite' ),
        'priority' => 30,
        'section' => 'foodylite_background_container',
        'settings' => 'foodylite_background_container_color',
    ) ) );

    // HEADER: SITE IDENTITY
    // Site Title Color
    $wp_customize->add_setting( 'foodylite_header_site_title_color', array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_header_site_title_color', array(
        'label' => __( 'Site Title Color', 'foodylite' ),
        'priority' => 10,
        'section' => 'title_tagline',
        'settings' => 'foodylite_header_site_title_color',
    ) ) );

    // Site Title Hover Color
    $wp_customize->add_setting( 'foodylite_header_site_title_hover_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_header_site_title_hover_color', array(
        'label' => __( 'Site Title Hover Color', 'foodylite' ),
        'priority' => 20,
        'section' => 'title_tagline',
        'settings' => 'foodylite_header_site_title_hover_color',
    ) ) );

    // Tagline Color
    $wp_customize->add_setting( 'foodylite_header_tagline_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_header_tagline_color', array(
        'label' => __( 'Tagline Color', 'foodylite' ),
        'priority' => 30,
        'section' => 'title_tagline',
        'settings' => 'foodylite_header_tagline_color',
    ) ) );

    // HEADER: MENU COLORS
    // menu link color
    $wp_customize->add_setting( 'foodylite_header_menu_color', array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_header_menu_color', array(
        'label' => __( 'Menu Color', 'foodylite' ),
        'priority' => 10,
        'section' => 'foodylite_header_menu_colors',
        'settings' => 'foodylite_header_menu_color',
    ) ) );

    // menu link hover color
    $wp_customize->add_setting( 'foodylite_header_menu_hover_color', array(
        'default' => '#a3a3a3',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_header_menu_hover_color', array(
        'label' => __( 'Menu Hover Color', 'foodylite' ),
        'priority' => 20,
        'section' => 'foodylite_header_menu_colors',
        'settings' => 'foodylite_header_menu_hover_color',
    ) ) );

    // menu background color
    $wp_customize->add_setting( 'foodylite_header_menu_bg_color', array(
        'default' => '#eaeaea',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_header_menu_bg_color', array(
        'label' => __( 'Background Color', 'foodylite' ),
        'priority' => 30,
        'section' => 'foodylite_header_menu_colors',
        'settings' => 'foodylite_header_menu_bg_color',
    ) ) );

    // FOOTER: Colors
    // Widget Background Color
    $wp_customize->add_setting( 'foodylite_footer_widget_bg_color', array(
        'default' => '#eaeaea',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_widget_bg_color', array(
        'label' => __( 'Widget Background Color', 'foodylite' ),
        'priority' => 10,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_widget_bg_color',
    ) ) );

    // Widget Text Color
    $wp_customize->add_setting( 'foodylite_footer_widget_text_color', array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_widget_text_color', array(
        'label' => __( 'Widget Text Color', 'foodylite' ),
        'priority' => 20,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_widget_text_color',
    ) ) );

    // Widget Link Color
    $wp_customize->add_setting( 'foodylite_footer_widget_link_color', array(
        'default' => '#666666',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_widget_link_color', array(
        'label' => __( 'Widget Link Color', 'foodylite' ),
        'priority' => 30,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_widget_link_color',
    ) ) );

    // Widget Link Hover Color
    $wp_customize->add_setting( 'foodylite_footer_widget_link_hover_color', array(
        'default' => '#cccccc',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_widget_link_hover_color', array(
        'label' => __( 'Widget Link Hover Color', 'foodylite' ),
        'priority' => 40,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_widget_link_hover_color',
    ) ) );

    // Bottom Background Color
    $wp_customize->add_setting( 'foodylite_footer_bottom_bg_color', array(
        'default' => '#000000',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_bottom_bg_color', array(
        'label' => __( 'Bottom Background Color', 'foodylite' ),
        'priority' => 50,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_bottom_bg_color',
    ) ) );

    // Bottom Text Color
    $wp_customize->add_setting( 'foodylite_footer_bottom_text_color', array(
        'default' => '#666666',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_bottom_text_color', array(
        'label' => __( 'Bottom Text Color', 'foodylite' ),
        'priority' => 60,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_bottom_text_color',
    ) ) );

    // Bottom Link Color
    $wp_customize->add_setting( 'foodylite_footer_bottom_link_color', array(
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_bottom_link_color', array(
        'label' => __( 'Bottom Link Color', 'foodylite' ),
        'priority' => 70,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_bottom_link_color',
    ) ) );

    // Bottom Link Hover Color
    $wp_customize->add_setting( 'foodylite_footer_bottom_link_hover_color', array(
        'default' => '#cccccc',
        'sanitize_callback' => 'sanitize_hex_color',
        'transport'=>'postMessage',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'foodylite_footer_bottom_link_hover_color', array(
        'label' => __( 'Bottom Link Hover Color', 'foodylite' ),
        'priority' => 80,
        'section' => 'foodylite_footer_colors',
        'settings' => 'foodylite_footer_bottom_link_hover_color',
    ) ) );
}
add_action('customize_register', 'foodylite_customizer_options');

/**
 * Customizer Apply CSS to Head
 */
if ( ! function_exists( 'foodylite_customizer_options_css' ) ) :

    function foodylite_customizer_options_css() {
        if ( get_theme_mod('foodylite_start_here_primary_color') || 
             get_theme_mod('foodylite_start_here_secondary_color') || 
             get_theme_mod('foodylite_start_here_accent_color') || 
             get_theme_mod('foodylite_background_container_color') || 
             get_theme_mod('foodylite_header_site_title_color') || 
             get_theme_mod('foodylite_header_site_title_hover_color') || 
             get_theme_mod('foodylite_header_tagline_color') || 
             get_theme_mod('foodylite_header_menu_color') || 
             get_theme_mod('foodylite_header_menu_hover_color') || 
             get_theme_mod('foodylite_header_menu_bg_color') || 
             get_theme_mod('foodylite_footer_widget_bg_color') || 
             get_theme_mod('foodylite_footer_widget_text_color') || 
             get_theme_mod('foodylite_footer_widget_link_color') || 
             get_theme_mod('foodylite_footer_bottom_bg_color') || 
             get_theme_mod('foodylite_footer_bottom_text_color') || 
             get_theme_mod('foodylite_footer_bottom_link_color') || 
             get_theme_mod('foodylite_footer_bottom_link_hover_color')
        ) { 
        ?>
            /* START HERE: COLORS */
            /* Primary Color */
            body { 
                color: <?php echo get_theme_mod('foodylite_start_here_primary_color', '#303030'); ?>;
            }

            /* Secondary Color */
            a:hover {
                color: <?php echo get_theme_mod('foodylite_start_here_secondary_color', '#a3a3a3'); ?>;
            }

            /* Accent Color */
            a,
            a:visited,
            a:focus,
            a:active  {
                color: <?php echo get_theme_mod('foodylite_start_here_accent_color', '#abcee2'); ?>;
            }

            .cat-links {
                color: <?php echo get_theme_mod('foodylite_start_here_accent_color', '#abcee2'); ?>;
            }

            /* BACKGROUND */
            /* Container Color */
            .container { 
                background-color: <?php echo get_theme_mod('foodylite_background_container_color', '#ffffff'); ?>;
            }

            /* HEADER: SITE TITLE COLORS */
            .site-title a,
            .site-title a:visited {
                color: <?php echo get_theme_mod('foodylite_header_site_title_color', '#000000'); ?>;
            }

            .site-title a:hover,
            .site-title a:active {
                color: <?php echo get_theme_mod('foodylite_header_site_title_hover_color', '#a3a3a3'); ?>;
            }

            .site-description {
                color: <?php echo get_theme_mod('foodylite_header_tagline_color', '#a3a3a3'); ?>;
            }

            /* HEADER: MENU COLORS */
            .main-navigation a {
                color: <?php echo get_theme_mod('foodylite_header_menu_color', '#000000'); ?>;
            }

            .main-navigation a:hover {
                color: <?php echo get_theme_mod('foodylite_header_menu_hover_color', '#a3a3a3'); ?>;
            }

            .site-header,
            .site-header .container,
            button.menu-toggle,
            button.menu-toggle:hover {
                background-color: <?php echo get_theme_mod('foodylite_header_menu_bg_color', '#eaeaea'); ?>;
            }

            /* FOOTER: COLORS */
            .site-footer,
            .site-footer .container,
            .footer-widget .widget-title {
              background-color: <?php echo get_theme_mod('foodylite_footer_widget_bg_color', '#eaeaea'); ?>;
              color: <?php echo get_theme_mod('foodylite_footer_widget_text_color', '#000000'); ?>;
            }

            .site-footer a,
            .site-footer a:visited {
              color: <?php echo get_theme_mod('foodylite_footer_widget_link_color', '#666666'); ?>;
            }

            .site-footer a:hover,
            .site-footer a:focus,
            .site-footer a:active  {
              color: <?php echo get_theme_mod('foodylite_footer_widget_link_hover_color', '#cccccc'); ?>;
            }

            .site-footer-bottom,
            .site-footer-bottom .container {
              background-color: <?php echo get_theme_mod('foodylite_footer_bottom_bg_color', '#000000'); ?>;
              color: <?php echo get_theme_mod('foodylite_footer_bottom_text_color', '#666666'); ?>;
            }

            .site-footer-bottom a,
            .site-footer-bottom a:visited {
              color: <?php echo get_theme_mod('foodylite_footer_bottom_link_color', '#ffffff'); ?>;
            }

            .site-footer-bottom a:hover,
            .site-footer-bottom a:focus,
            .site-footer-bottom a:active  {
              color: <?php echo get_theme_mod('foodylite_footer_bottom_link_hover_color', '#cccccc'); ?>;
            }
        <?php
    }
}
endif;